package com.ruoyi.project.process.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * MOC清单对象 t_moc
 * 
 * @author ruoyi
 * @date 2024-04-08
 */
public class TMoc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** MOC NO. */
    @Excel(name = "MOC NO.")
    private String mocNo;

    /** MOC Owner */
    @Excel(name = "MOC Owner")
    private String mocOwner;

    /** Change Name */
    @Excel(name = "Change Name")
    private String changeName;

    /** T or P */
    @Excel(name = "T or P")
    private String tOrP;

    /** Issue date */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "Issue date", width = 30, dateFormat = "yyyy-MM-dd")
    private Date issueDate;

    /** e-MOC status */
    @Excel(name = "e-MOC status")
    private String emocStatus;

    /** Priority */
    @Excel(name = "Priority")
    private String priority;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMocNo(String mocNo) 
    {
        this.mocNo = mocNo;
    }

    public String getMocNo() 
    {
        return mocNo;
    }
    public void setMocOwner(String mocOwner) 
    {
        this.mocOwner = mocOwner;
    }

    public String getMocOwner() 
    {
        return mocOwner;
    }
    public void setChangeName(String changeName) 
    {
        this.changeName = changeName;
    }

    public String getChangeName() 
    {
        return changeName;
    }
    public void settOrP(String tOrP) 
    {
        this.tOrP = tOrP;
    }

    public String gettOrP() 
    {
        return tOrP;
    }
    public void setIssueDate(Date issueDate) 
    {
        this.issueDate = issueDate;
    }

    public Date getIssueDate() 
    {
        return issueDate;
    }
    public void setEmocStatus(String emocStatus) 
    {
        this.emocStatus = emocStatus;
    }

    public String getEmocStatus() 
    {
        return emocStatus;
    }
    public void setPriority(String priority) 
    {
        this.priority = priority;
    }

    public String getPriority() 
    {
        return priority;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode) 
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() 
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode) 
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() 
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate) 
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() 
    {
        return updatedate;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mocNo", getMocNo())
            .append("mocOwner", getMocOwner())
            .append("changeName", getChangeName())
            .append("tOrP", gettOrP())
            .append("issueDate", getIssueDate())
            .append("emocStatus", getEmocStatus())
            .append("priority", getPriority())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
